Package jebl.evolution.trees

# Class CalculateSplitRates

java.lang.Object
jebl.evolution.trees.CalculateSplitRates

public class CalculateSplitRates extends Object
Created by IntelliJ IDEA. User: msuchard Date: Dec 18, 2006 Time: 1:13:51 PM To change this template use File | Settings | File Templates.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`edgeFraction`
`final String`
`INDICATOR`
`int`
`numRateBoxes`
`int`
`numTimeBoxes`
`final String`
`RATE`

## Constructor Summary

Constructors
Constructor
Description
`CalculateSplitRates(NexusImporter importer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTreeToDensityMap(jebl.evolution.trees.CalculateSplitRates.DensityMap densityMap, RootedTree tree)`
`void`
`displayIntervals()`
`void`
`displayStatistics()`
`void`
`findTimeIntervals()`
`void`
`loadTrees(int maxTrees, int burnIn)`
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INDICATOR

public final String INDICATOR

See Also:
  - Constant Field Values

### RATE

public final String RATE

See Also:
  - Constant Field Values

### numRateBoxes

public int numRateBoxes

### numTimeBoxes

public int numTimeBoxes

### edgeFraction

public double edgeFraction

## Constructor Details

### CalculateSplitRates

public CalculateSplitRates(NexusImporter importer)

## Method Details

### loadTrees

public void loadTrees(int maxTrees, int burnIn) throws IOException, ImportException

Throws:
  `IOException`
  `ImportException`

### displayStatistics

public void displayStatistics()

### addTreeToDensityMap

public void addTreeToDensityMap(jebl.evolution.trees.CalculateSplitRates.DensityMap densityMap, RootedTree tree)

### displayIntervals

public void displayIntervals()

### findTimeIntervals

public void findTimeIntervals()

### main

public static void main(String[] args)

Parameters:
  `args` - args[0] = Beast tree log, args[1] = max number of trees to read args[2] = number of burnin trees to discard args[3] = proportion file name, args[4] = density map filename